Execute Query Async
curl --request POST \
--url https://api.allium.so/api/v1/explorer/queries/{query_id}/run-async \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"parameters": {},
"run_config": {}
}
'import requests
url = "https://api.allium.so/api/v1/explorer/queries/{query_id}/run-async"
payload = {
"parameters": {},
"run_config": {}
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({parameters: {}, run_config: {}})
};
fetch('https://api.allium.so/api/v1/explorer/queries/{query_id}/run-async', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"run_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Explorer API
Run query
POST
/
api
/
v1
/
explorer
/
queries
/
{query_id}
/
run-async
Execute Query Async
Trigger execution of a saved Explorer query. You will need to create a query through the Allium App before calling this endpoint.
Key Parameters
- Parameterized queries - Use the
parametersfield to specify parameter values when running a parameterized query - Row limit - Optionally specify a maximum number of rows to return
- Compute profile - Optionally specify a compute profile to run the query on
Data Export Limit
Maximum Rows: 250,000We currently allow up to 250,000 rows of data to be exported through the API for a single query. This limit can be increased on request and helps prevent mishaps when users forget to add
LIMIT clauses to their queries.Next Steps
After creating a new query run:- Poll for its status to check if the query has completed
- Retrieve the results when execution is finished
Authorizations
Path Parameters
Body
application/json
Response
Successful Response
Was this page helpful?